Set Leverage
POSTπ Trading
Changes the leverage setting for the specified market.
Warning: Setting leverage to
0applies cross-wallet maximum leverage. Reducing leverage on an existing position may trigger liquidation if the margin is insufficient.
Request Parametersβ
| Name | Type | Required | Description |
|---|---|---|---|
| symbol | String | Yes | Market symbol |
| leverage | Double | Yes | Leverage value. 0 = cross max leverage |
| marginMode | String | No | CROSS Β· ISOLATED (default) |
| positionMode | String | No | Required when positionMode is HEDGE or ISOLATED |
| positionId | String | No | Required when positionMode is HEDGE or ISOLATED |
Response Contentβ
| Name | Type | Description |
|---|---|---|
| symbol | String | Market symbol |
| status | Integer | 8: Insufficient Β· 13: Invalid leverage Β· 20: Success Β· 64: Liquidation |
| type | Double | 93 β indicates leverage update |
| timestamp | Long | Update timestamp |
| message | String | Response message |
example
POST
https://api.btse.com/futures/api/v2.3/leverage